Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface DependencySet

    org.gradle.api.artifacts.DependencySet
      org.gradle.api.Buildable
          java.lang.Iterable
              org.gradle.api.DomainObjectSet
                  java.util.Collection
                      org.gradle.api.DomainObjectCollection

All Superinterfaces:
  Buildable, Iterable, DomainObjectSet, Collection, DomainObjectCollection

    public interface DependencySet
    extends Buildable, DomainObjectSet

A set of artifact dependencies.

Method Summary

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface DomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Gradle API 1.1-rc-1